Bug 44622 - Syslog does not redirect messages from IPX-part of kernel properly
Syslog does not redirect messages from IPX-part of kernel properly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-14 16:16 EDT by Boris Mironov
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 09:44:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Boris Mironov 2001-06-14 16:16:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
I've just installed RedHat 7.1 (actually, same problem I have in RedHat 
6.1, kernel 2.2.15).
Now my text console fills by error messages from kernel. Very interesting 
is that my /etc/syslog.conf file has following settings:
kern.* /var/log/kernel
*.*    /dev/tty12

And I have kernel messages in both locations + on my current text console 
(tty1-tty6). I will explain my settings below. My Novell Linux-client 
works well except messages on the screen. Here is full text of the message:

IPX: Network number collision fff8
eth0 802.3 and eth0 802.2



How reproducible:
Always

Steps to Reproduce:
Honestly, this problem has 2 sides (error in configuration of some client 
in the network and error in syslog daemon or just IPX-part of kernel)

Here is my settings:
1. /etc/sysconfig/network  (regarding IPX)
IPX="yes"
IPXAUTOPRIMARY="on"
IPXAUTOFRAME="on"
IPXINTERNALNETNUM="1"
IPXINTERNALNODENUM="0"

2. /proc/ipx
0000FFF8:4002  0000FFF1:0000001:0451 0 0 01 0
0000FFF8:4003  Not_Connected         0 0 07 0
0000FFF8:4004  Not_Connected         0 0 07 0

3. /proc/ipx_route
0000FFF1 0000FFF8 006094259940
0000FFF8 Directly Connected

4. /proc/ipx_interface
0000FFF8 006097933FFF Yes eth0 802.3
00000000 006097933FFF No  eth0 802.2    

Second row of the file appears some time later 
after /etc/rc.d/init.d/network restart  And at same time I start to 
receive error messages on my screen.

5. /etc/sysconfig/network-scripts/ifcfg-eth0  (IPX part only)
IPXNETNUM_802_2=""
IPXPRIMARY_802_2="no"
IPXACTIVE_802_2="no"
IPXNETNUM_802_3=""
IPXPRIMARY_802_3="yes"
IPXACTIVE_802_3="no"

6. /etc/syslog.conf
#kern.* /dev/console
kern.*  /var/log/kernel
*.*     /dev/tty12


Actual Results:  Error message appears on my text screen

Expected Results:  Syslog should redirect any kernel messages 
to /var/log/kernel and to tty12. Actually, it does. But bonus is my 
current text console.

Additional info:
Comment 1 Arjan van de Ven 2001-06-15 13:00:56 EDT
You can determine the level of errors that are sent to the console.
The IPX code sees a network number collision as very serious and logs it at
level "4".

You can select the level of things that get to the console by 

echo <level> > /proc/sys/kernel/printk

where <level> is a number between 1 and 9


Note You need to log in before you can comment on or make changes to this bug.